<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingDefaultResource">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg_f4"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="兑换成功" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fillViewport="true"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_rewards_white_bottom_15conner_bg"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_20dp"
                        android:src="@drawable/iv_rewards_redeem_success_icon" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="-20dp"
                        android:layout_marginBottom="@dimen/d_25dp"
                        android:text="恭喜"
                        android:textColor="@color/app_blue"
                        android:textSize="@dimen/d_17sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:background="@drawable/shape_rewards_white_15conner_bg"
                    android:orientation="vertical">

                    <!--Redeem Date-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingTop="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_15dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_15dp"
                            android:src="@drawable/iv_rewards_redeem_success_date" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_8dp"
                            android:text="兑换日期："
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_16sp" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_1dp"
                        android:src="@color/page_bg_f4" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_redeem_success_redeem_date"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingLeft="@dimen/d_15dp"
                        android:paddingTop="@dimen/d_20dp"
                        android:paddingBottom="@dimen/d_20dp"
                        android:text="21 Jun 2010, 20:18"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_16sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:background="@drawable/shape_rewards_white_15conner_bg"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingTop="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_15dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_15dp"
                            android:src="@drawable/iv_rewards_redeem_success_promotion_icon" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_8dp"
                            android:layout_marginRight="@dimen/d_5dp"
                            android:text="您兑换了以下商品。"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_16sp" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_1dp"
                        android:src="@color/page_bg_f4" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginTop="@dimen/d_15dp"
                        android:layout_marginRight="@dimen/d_15dp">

                        <com.guadou.cs_cptservices.widget.CustomRound6ImageView
                            android:id="@+id/iv_redeem_success_promotion_rewards"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:background="@color/page_bg_f4"
                            app:layout_constraintCircleRadius="@dimen/d_8dp"
                            app:layout_constraintDimensionRatio="345:227"
                            tools:ignore="MissingConstraints" />


                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_redeem_success_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:layout_marginTop="@dimen/d_20dp"
                        android:layout_marginRight="@dimen/d_5dp"
                        android:text="Cute children multifunctional umbrella"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_16sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_10dp"
                        android:layout_marginBottom="@dimen/d_20dp"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_15dp">

                        <com.guadou.lib_baselib.font_text_view.TextViewBold
                            android:id="@+id/tv_redeem_success_point"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="300"
                            android:textColor="@color/profile_red"
                            android:textSize="@dimen/d_20sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:id="@+id/tv_redeem_success_original_point"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_3dp"
                            android:text="350"
                            android:textColor="@color/item_light_gray"
                            android:textSize="@dimen/d_14sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_3dp"
                            android:text="积分"
                            android:textColor="@color/item_light_gray"
                            android:textSize="@dimen/d_14sp" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginBottom="@dimen/d_10dp"
                    android:background="@drawable/shape_rewards_white_15conner_bg"
                    android:orientation="vertical">

                    <!--Redeem from-->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingTop="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_15dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_15dp"
                            android:src="@drawable/iv_promotion_rewards_redeem_from" />

                        <com.guadou.lib_baselib.font_text_view.TextViewLight
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_8dp"
                            android:text="兑换日期从"
                            android:textColor="@color/black"
                            android:textSize="@dimen/d_16sp" />

                    </LinearLayout>

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_1dp"
                        android:src="@color/page_bg_f4" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_redeem_success_redeem_from"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingLeft="@dimen/d_15dp"
                        android:paddingTop="@dimen/d_20dp"
                        android:paddingBottom="@dimen/d_20dp"
                        android:text="17 Mar 2020 until 15 Jul 2020"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_16sp" />

                </LinearLayout>

            </LinearLayout>

        </ScrollView>

    </LinearLayout>

</layout>